zdump(8)

NUME
zdump - afișează fusul orar

SINOPSIS
zdump [ opțiune ... ] [ fus-orar ... ]

DESCRIERE
Programul zdump afișează ora curentă în fiecare fus-orar numit în linia de comandă. Un fus-orar din - este tratat ca și cum ar fi /dev/stdin; acest lucru poate fi utilizat pentru a direcționa datele TZif în zdump.

OPȚIUNI

--version
    Afișează informațiile despre versiune și iese.

--help
    Afișează un scurt mesaj de utilizare și iese.

-i  Emite o descriere a intervalelor de timp. Pentru fiecare fus-orar din linia de comandă, emite o descriere a fusului orar în format interval. A se vedea mai jos.

-v  Afișează o descriere amplă a intervalelor de timp. Pentru fiecare fus-orar din linia de comandă, afișează orele la cele două valori extreme ale timpului, orele (dacă sunt prezente) la și imediat după limitele anilor pe care localtime(3) și gmtime(3) le pot reprezenta, precum și orele atât cu o secundă înainte, cât și exact la fiecare discontinuitate temporală detectată. Fiecare linie este urmată de isdst=D, unde D este pozitiv, zero sau negativ, în funcție de faptul că ora dată este ora de vară, ora standard sau, respectiv, un tip de oră necunoscută. Fiecare linie este urmată, de asemenea, de gmtoff=N în cazul în care se știe că ora locală dată este la N secunde la est de Greenwich.

-V  La fel ca -v, cu excepția faptului că se omite ieșirea privind valorile extreme ale orei și anului. Acest lucru generează rezultate care pot fi mai ușor de comparat cu cele ale unor implementări cu reprezentări de timp diferite.

-c [anul-de-început,]anul-de-final
    Întrerupe intervalul de ieșire la anul (anii) dat(dați). Perioadele de întrerupere sunt calculate folosind calendarul gregorian proleptic cu anul 0 și cu timpul universal (UT), fără a se ține seama de secundele bisecte. Datele de întrerupere se află la începutul fiecărui an, unde marca temporală inferioară este inclusivă, iar cea superioară este exclusivă; de exemplu, -c 1970,2070 selectează tranzițiile la sau după 1970-01-01 00:00:00 UTC și înainte de 2070-01-01-01 00:00:00 UTC. Limitarea implicită este -500,2500.

-t [ora-de-început,]ora-de-final
    Intervalul de întrerupere a ieșirii la ora (orele) dată (date în secunde zecimale de la 1970-01-01 00:00:00:00 Timp Universal Coordonat (UTC). fus-orar determină dacă numărătoarea include secundele bisecte. La fel ca în cazul lui -c, limita inferioară a intervalului de întrerupere este inclusivă, iar limita superioară este exclusivă.

FORMATUL INTERVALULUI
Formatul intervalului este o reprezentare text compactă, care este destinată să fie atât citită de către om, cât și de către mașină. Acesta constă dintr-o linie goală, apoi o linie unde șir este un șir de caractere cu ghilimele duble care indică fusul orar, o a doua linie care descrie intervalul de timp dinaintea primei tranziții, dacă există, și zero sau mai multe linii următoare câte o linie pentru fiecare timp de tranziție și interval următor. Câmpurile sunt separate printr-un singur tabulator.

Datele sunt în format aaaa-ll-zz, iar orele sunt în format hh:mm:ss de 24 de ore, unde hh<24. Orele sunt în ora locală imediat după tranziție. O descriere a intervalului de timp constă dintr-un decalaj UT în format cu semn ±hhmmss, o abreviere a fusului orar și un fanion isdst. O abreviere care este egală cu decalajul UT este omisă; celelalte abrevieri sunt șiruri de caractere cu ghilimele duble, cu excepția cazului în care sunt formate din unul sau mai multe caractere alfabetice. Un fanion isdst este omis pentru ora standard, iar în caz contrar este un număr întreg zecimal fără semn și pozitiv (de obicei 1) pentru ora de vară și negativ pentru ora necunoscută.

În cazul orelor și al decalajelor UT cu valoare absolută mai mică de 100 de ore, secundele sunt omise dacă sunt zero, iar minutele sunt omise dacă sunt de asemenea zero. Decalajele UT pozitive sunt la est de Greenwich. Decalajul UT -00 denotă un marcaj UT în zonele în care decalajul real este nespecificat; prin convenție, acest lucru se întâmplă atunci când decalajul UT este zero și abrevierea fusului orar începe cu sau este

În șirurile cu ghilimele duble, secvențele de eludare reprezintă caractere neobișnuite. Secvențele de eludare sunt \s pentru spațiu și \", \\, \f, \n, \r, \t și \v cu semnificația lor obișnuită în limbajul de programare C. De exemplu, șirul cu ghilimele duble “"CET\s\\"\\"” reprezintă secvența de caractere “CET "\”.

Iată un exemplu de ieșire, fără linia goală din față; (exemplul este prezentat cu tabulatoare suficient de îndepărtați pentru ca coloanele cu tabulație să se alinieze).

TZ="Pacific/Honolulu"
-	-	-103126	LMT
1896-01-13	12:01:26	-1030	HST
1933-04-30	03	-0930	HDT	1
1933-05-21	11	-1030	HST
1942-02-09	03	-0930	HWT	1
1945-08-14	13:30	-0930	HPT	1
1945-09-30	01	-1030	HST
1947-06-08	02:30	-10	HST

Aici, ora locală începe la ora 10, 31 de minute și 26 de secunde la vest de UT și este o oră standard prescurtată LMT. Imediat după prima tranziție, data este 1896-01-13 și ora este 12:01:26, iar următorul interval de timp este de 10,5 ore la vest de UT, o oră standard abreviată HST. Imediat după cea de-a doua tranziție, data este 1933-04-30 și ora este 03:00:00, iar următorul interval orar este de 9,5 ore la vest de UT, este abreviat HDT și este ora de vară. Imediat după ultima tranziție, data este 1947-06-08 și ora este 02:30:00, iar următorul interval orar este de 10 ore la vest de UT, o oră standard prescurtată HST.

Iată fragmente dintr-un alt exemplu:

TZ="Europe/Astrakhan"
-	-	+031212	LMT
1924-04-30	23:47:48	+03
1930-06-21	01	+04
1981-04-01	01	+05		1
1981-09-30	23	+04
...
2014-10-26	01	+03
2016-03-27	03	+04

Acest fus orar se află la est de UT, astfel încât decalajele sale UT sunt pozitive. De asemenea, multe dintre abrevierile de fus orar sunt omise, deoarece acestea dublează textul decalajului UT.

LIMITĂRI
Discontinuitățile de timp sunt găsite prin eșantionarea rezultatelor returnate de localtime(3) la intervale de 12 ore. Acest lucru funcționează în toate cazurile din lumea reală; se pot construi fusuri orare artificiale pentru care acest lucru eșuează.

În ieșirile -v și -V, denotă valoarea returnată de gmtime(3), care folosește UTC pentru marcajele de timp moderne și alte valori UT pentru marcajele de timp anterioare introducerii UTC. În prezent, nu se încearcă ca ieșirea să utilizeze pentru mai noi și pentru cele mai vechi, în parte pentru că data exactă a introducerii UTC este problematică.

CONSULTAȚI ȘI
tzfile(5), zic(8)

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.